import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { NSPersistentStoreRequestType } from "./NSPersistentStoreRequestType.js";
export declare class _NSPersistentStoreRequest extends _NSObject {
    static alloc(): _NSPersistentStoreRequest;
    static new(): _NSPersistentStoreRequest;
    init(): _NSPersistentStoreRequest;
    /** Stores this request should be sent to. */
    affectedStores(): _NSArray | null;
    setAffectedStores$(value: _NSArray | null): void;
    /** The type of the request. */
    requestType(): NSPersistentStoreRequestType;
}
export interface _NSPersistentStoreRequest extends _NSCopying {
}
